<?php

declare(strict_types=1);

namespace App\Services\QueryRequestModifiers;

/**
 * @template T of OrderableDTO
 */
interface OrderableDTO
{
    public function getColumn(): string;
    public function getDirection(): SortDirection;

    /**
     * @return T
     */
    public static function createFromValues(string $column, SortDirection $sortDirection): self;
}
